MeCab

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Members

Public Attributes
mecab_node_t Struct Reference

Node structure. More...

`#include <mecab.h>`

List of all members.

## Public Attributes
struct mecab_node_t * | prev
| pointer to the previous node.
struct mecab_node_t * | next
| pointer to the next node.
struct mecab_node_t * | enext
| pointer to the node which ends at the same position.
struct mecab_node_t * | bnext
| pointer to the node which starts at the same position.
struct mecab_path_t * | rpath
| pointer to the right path.
struct mecab_path_t * | lpath
| pointer to the right path.
const char * | surface
| surface string.
const char * | feature
| feature string
unsigned int | id
| unique node id
unsigned short | length
| length of the surface form.
unsigned short | rlength
| length of the surface form including white space before the morph.
unsigned short | rcAttr
| right attribute id
unsigned short | lcAttr
| left attribute id
unsigned short | posid
| unique part of speech id.
unsigned char | char_type
| character type
unsigned char | stat
| status of this model.
unsigned char | isbest
| set 1 if this node is best node.
float | alpha
| forward accumulative log summation.
float | beta
| backward accumulative log summation.
float | prob
| marginal probability.
short | wcost
| word cost.
long | cost
| best accumulative cost from bos node to this node.

## Detailed Description

Node structure.

## Member Data Documentation

float mecab_node_t::alpha

forward accumulative log summation.

This value is only available when MECAB_MARGINAL_PROB is passed.

float mecab_node_t::beta

backward accumulative log summation.

This value is only available when MECAB_MARGINAL_PROB is passed.

struct mecab_node_t* mecab_node_t::bnext

pointer to the node which starts at the same position.

unsigned char mecab_node_t::char_type

character type

long mecab_node_t::cost

best accumulative cost from bos node to this node.

struct mecab_node_t* mecab_node_t::enext

pointer to the node which ends at the same position.

const char* mecab_node_t::feature

feature string

unsigned int mecab_node_t::id

unique node id

unsigned char mecab_node_t::isbest

set 1 if this node is best node.

unsigned short mecab_node_t::lcAttr

left attribute id

unsigned short mecab_node_t::length

length of the surface form.

struct mecab_path_t* mecab_node_t::lpath

pointer to the right path.

this value is NULL if MECAB_ONE_BEST mode.

struct mecab_node_t* mecab_node_t::next

pointer to the next node.

unsigned short mecab_node_t::posid

unique part of speech id.

This value is defined in "pos.def" file.

struct mecab_node_t* mecab_node_t::prev

pointer to the previous node.

float mecab_node_t::prob

marginal probability.

This value is only available when MECAB_MARGINAL_PROB is passed.

unsigned short mecab_node_t::rcAttr

right attribute id

unsigned short mecab_node_t::rlength

length of the surface form including white space before the morph.

struct mecab_path_t* mecab_node_t::rpath

pointer to the right path.

this value is NULL if MECAB_ONE_BEST mode.

unsigned char mecab_node_t::stat

status of this model.

This value is MECAB_NOR_NODE, MECAB_UNK_NODE, MECAB_BOS_NODE, MECAB_EOS_NODE, or MECAB_EON_NODE.

const char* mecab_node_t::surface

surface string.

this value is not 0 terminated. You can get the length with length/rlength members.

short mecab_node_t::wcost

word cost.

The documentation for this struct was generated from the following file:

- /home/taku/proj/mecab/mecab/src/mecab.h